# $Revision: 1.19 $, $Date: 2006/08/22 16:12:22 $
#
# Conditional build:
%bcond_without	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DateTime
Summary:	DateTime - representation of date/time combinations
Summary(pl):	DateTime - reprezentacja kombinacji daty i czasu
Name:		perl-DateTime
Version:	0.34
Release:	2
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	71285d93eba0f92e3285a9e011fc33e1
URL:		http://datetime.perl.org/
%if %{with tests}
BuildRequires:	perl-DateTime-Format-ICal
BuildRequires:	perl-DateTime-Format-Strptime >= 1.0400
BuildRequires:	perl-DateTime-Locale >= 0.21
BuildRequires:	perl-DateTime-TimeZone >= 1:0.38
BuildRequires:	perl-Params-Validate >= 0.76
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-base >= 1:5.8.7-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DateTime is a class for the representation of date/time combinations,
and is part of the Perl DateTime project. For details on this project
please see <http://datetime.perl.org/>. The DateTime site has a FAQ
which may help answer many "how do I do X?" questions. The FAQ is at
<http://datetime.perl.org/faq.html>.

%description -l pl
DateTime to klasa do reprezentowania kombinacji daty i czasu, bdca
czci perlowego projektu DateTime. Szczegy dotyczce tego projektu
mona znale pod adresem <http://datetime.perl.org/>. Serwis ten ma
swoje FAQ, gdzie mona znale odpowiedzi na wiele pyta - dostpne
pod <http://datetime.perl.org/faq.html>.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/DateTime/{Event,Format}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README CREDITS TODO leaptab.txt
%{perl_vendorarch}/DateTime*pm
%{perl_vendorarch}/DateTime/*.pm
%dir %{perl_vendorlib}/DateTime/Event
%{perl_vendorarch}/auto/DateTime/DateTime.bs
%dir %{perl_vendorarch}/auto/DateTime
%{perl_vendorlib}/DateTime/*
%attr(755,root,root) %{perl_vendorarch}/auto/DateTime/DateTime.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DateTime.spec,v $
Revision 1.19  2006/08/22 16:12:22  glen
- package DateTime/Event dir
- add more test BR
- t/infinitive.t works now
- rel 2

Revision 1.18  2006/08/12 16:34:33  migo
- up to 0.34

Revision 1.17  2006/07/27 17:38:54  glen
- fix md5

Revision 1.16  2006/07/27 17:19:24  glen
- 0.32 (Epoch: 1 due 0.2901 being "newer")

Revision 1.15  2005/11/04 10:19:06  czucz
- updated to 0.2901

Revision 1.14  2005/06/09 15:23:03  ankry
- killed dirs belonging to perl, R: perl-base >= 1:5.8.7-3 for them

Revision 1.13  2005/06/08 19:14:20  migo
- add %{perl_vendorlib}/DateTime/Format into package (for DateTime::Format::*
  modules)

Revision 1.12  2005/06/08 13:41:35  glen
- missing dir; rel 2; STBR

Revision 1.11  2005/03/13 22:35:24  migo
- up to 0.28, better BRs

Revision 1.10  2005/01/16 16:51:37  darekr
- updated to 0.25, R: perl-DateTime-TimeZone

Revision 1.9  2004/12/18 16:13:55  darekr
- updated to 0.24

Revision 1.8  2004/12/12 10:19:28  adamg
- updated to 0.23

Revision 1.7  2004/11/08 16:13:32  undefine
- release 2

Revision 1.6  2004/11/03 22:30:18  paladine
- formatting

Revision 1.5  2004/11/02 08:18:58  adamg
- by default do not perform tests (dependency loop with perl-DateTime-TimeZone)

Revision 1.4  2004/11/01 22:24:31  adamg
- updated to 0.22
- bconded BuildRequires (avoid dependency loop)

Revision 1.3  2004/04/19 22:22:15  ankry
- license/description fixes

Revision 1.2  2004/04/13 19:42:04  qboosh
- pl, License

Revision 1.1  2004/04/13 06:47:46  agaran
- new spec, nfy
